import React, { useEffect } from 'react';
import { navigate, RouteComponentProps } from '@reach/router';
import { useAuth } from 'src/services/auth';
import { showToast, ToastType } from 'src/common/util/show-toast';

type LoginCallbackProps = RouteComponentProps;

// eslint-disable-next-line @typescript-eslint/no-unused-vars
export function LoginCallback(_: LoginCallbackProps) {
  const currentURL = window.location.href;
  const indexOfQuestionMark = currentURL.indexOf('?');
  const params = currentURL.slice(indexOfQuestionMark);

  const { logIn } = useAuth();

  useEffect(() => {
    if (params.length > 2) {
      const res = logIn(params);
      // @ts-ignore
      if (res.ok) {
        showToast('Logged in');
      } else {
        showToast('Something went wrong', ToastType.Error);
        navigate('/login');
      }
    }
  }, [logIn, params]);

  return (
    <div className="min-h-screen flex items-center justify-center bg-gray-50 py-12 px-4 sm:px-6 lg:px-8">
      <div className="max-w-md w-full space-y-8">
        <div className="flex justify-center">Loading . . .</div>
      </div>
    </div>
  );
}
