import { useCallback } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { getAuth, signIn, signOut } from '../redux';

export function useAuth() {
  const dispatch = useDispatch();
  const auth = useSelector(getAuth);

  const logIn = useCallback(
    (params) => {
      return dispatch(signIn(params));
    },
    [dispatch],
  );

  const logOut = useCallback(() => {
    return dispatch(signOut());
  }, [dispatch]);

  return {
    auth,
    logIn,
    logOut,
  };
}
